package com.persagy.filemove.app;

import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.geometry.Insets;
import javafx.geometry.Orientation;
import javafx.scene.Scene;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.Separator;
import javafx.scene.layout.FlowPane;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class Ex6_ChoiceBox extends Application {
    public static void main(String[] args) {
        launch(args);
    }

    private void build(FlowPane basePane) {
        Text tips = new Text();

        ChoiceBox cb = new ChoiceBox();
        // 设置列表项，分隔符也算列表项的一个元素占用一个位置，但不能被选中
        cb.setItems(FXCollections.observableArrayList("A", "B", new Separator(), "C"));
        cb.setPrefSize(100, 30);
        // 设置默认选择第一项
        cb.getSelectionModel().selectFirst();

        cb.getSelectionModel().selectedIndexProperty().addListener((obv, ov, nv)->{
            // 显示选中项的下标，从0开始
            tips.setText("selectIndex=" + nv.intValue() + cb.getItems().get(nv.intValue()));
        });

        basePane.getChildren().addAll(cb, tips);
    }

    @Override
    public void start(Stage primaryStage) throws Exception {
        FlowPane root = new FlowPane();
        build(root);
        Scene scene = new Scene(root, 350, 150);
        primaryStage.setScene(scene);
        primaryStage.setTitle("ChoiceBox");
        root.setPadding(new Insets(10)); root.setVgap(20);
        root.setOrientation(Orientation.VERTICAL);

        primaryStage.show();
    }
}